.page1blog {
    padding: 100px 0;
}

.page1blog .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(400px, 1fr));
    gap: 10px;
}

.page1blog .imgblog .smallimg {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    gap: 10px;
    justify-content: center;
}

.page1blog .imgblog .bigimg img {

    transition: .5s;
    width: 100%;

}

.page1blog .imgblog .smallimg {
    margin-bottom: 10px;
width: 100%;
}

.page1blog .imgblog .smallimg img {
    width: 100%;
    margin-bottom: 10px;
}

.page1blog .imgblog .bigimg {

    position: relative;
    margin-bottom: 10px;
    z-index: 222;
    transition: .5s;
}

.page1blog .imgblog .bigimg::after {
    position: absolute;
    content: "Click Here";
    color: white;
    font-size: 30PX;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.667);
    top: 0;
    left: 0;
    transition: .6s;
}

.page1blog .imgblog .bigimg:hover::after {
    height: 0%;
    content: "";

}

@media (max-width: 1200px) {
    .page1blog .container {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .page1blog .imgblog .bigimg img {
        width: 100%;
    }
    .page1blog .imgblog{
        width: 100%;
    }
    .page1blog .imgblog .smallimg {
        display: flex;
        width: 100%;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

  
}

